Bug 1972776 - improve dual-stack install-config validation
Summary: improve dual-stack install-config validation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Dan Winship
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1973421
TreeView+ depends on / blocked
 
Reported: 2021-06-16 15:25 UTC by Dan Winship
Modified: 2021-10-18 17:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1973421 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:34:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5005 0 None open Bug 1972776: improve dual-stack install-config validation 2021-06-16 15:56:59 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:34:59 UTC

Description Dan Winship 2021-06-16 15:25:29 UTC
We should make validation of dual-stack install-configs slightly better. Specifically, we should block "IPv6-primary" dual-stack configs, eg:

    networking:
      clusterNetwork:
      - cidr: fd01::/48
        hostPrefix: 64
      - cidr: 10.128.0.0/14
        hostPrefix: 23
      machineNetwork:
      - cidr: fc00::/48
      - cidr: 10.0.0.0/16
      networkType: OVNKubernetes
      serviceNetwork:
      - fd02::/112
      - 10.1.0.0/16

because that will currently result in a failed install

Comment 1 Johnny Liu 2021-06-29 07:28:29 UTC
Verified this bug with pre-merge build, and PASS.

06-29 14:53:45.307  [INFO] Generating manifests files.....
06-29 14:53:45.307  level=fatal msg=failed to fetch Master Machines: failed to load asset "Install Config": invalid "install-config.yaml" file: [networking: Invalid value: "DualStack": dual-stack IPv4/IPv6 is not supported for this platform, specify only one type of address, networking.machineNetwork: Invalid value: "fc00::/48, 10.0.0.0/16": IPv4 addresses must be listed before IPv6 addresses, networking.serviceNetwork: Invalid value: "fd02::/112, 10.1.0.0/16": IPv4 addresses must be listed before IPv6 addresses, networking.clusterNetwork: Invalid value: "fd01::/48, 10.128.0.0/14": IPv4 addresses must be listed before IPv6 addresses]

Comment 3 Gaoyun Pei 2021-07-29 23:44:46 UTC
Move this bug to Verified based on the testing from https://bugzilla.redhat.com/show_bug.cgi?id=1972776#c1

Comment 6 errata-xmlrpc 2021-10-18 17:34:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.